# Class VibrationThread

java.lang.Object
java.lang.Thread
org.jmol.thread.JmolThread
org.jmol.thread.VibrationThread

All Implemented Interfaces:
  `Runnable`

public class VibrationThread extends JmolThread

## Nested Class Summary

### Nested classes/interfaces inherited from class Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class JmolThread

`CHECK1, CHECK2, CHECK3, currentTime, eval, FINISH, haveReference, hoverEnabled, INIT, isJS, isReset, lastRepaintTime, MAIN, name, sc, sleepTime, startTime, stopped, targetTime, useTimeout, vwr`

### Fields inherited from class Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`VibrationThread()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`run1(int mode)`
`int`
`setManager(Object manager, Viewer vwr, Object options)`

### Methods inherited from class JmolThread

`checkInterrupted, interrupt, oops, reset, resumeEval, run, runSleep, setEval, setViewer, start, toString`

### Methods inherited from class Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, startVirtualThread, stop, threadId, yield`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VibrationThread

public VibrationThread()

## Method Details

### setManager

public int setManager(Object manager, Viewer vwr, Object options)

Overrides:
  `setManager` in class `JmolThread`
Parameters:
  `manager` -
  `vwr` -
  `options` -
Returns:
  TODO

### run1

protected void run1(int mode) throws InterruptedException

Specified by:
  `run1` in class `JmolThread`
Throws:
  `InterruptedException`